Package com.fasterxml.jackson.dataformat.xml.jaxb

## Class XmlJaxbAnnotationIntrospector

- java.lang.Object
- - com.fasterxml.jackson.databind.AnnotationIntrospector
  - - com.fasterxml.jackson.module.jaxb.JaxbAnnotationIntrospector
    - - com.fasterxml.jackson.dataformat.xml.jaxb.XmlJaxbAnnotationIntrospector

All Implemented Interfaces:
  `com.fasterxml.jackson.core.Versioned`, `XmlAnnotationIntrospector`, `java.io.Serializable`

    public class XmlJaxbAnnotationIntrospector
    extends com.fasterxml.jackson.module.jaxb.JaxbAnnotationIntrospector
    implements XmlAnnotationIntrospector

Alternative `AnnotationIntrospector` implementation that builds on `JaxbAnnotationIntrospector`.

NOTE: since version 2.4, it may NOT be necessary to use this class; instead, plain `JaxbAnnotationIntrospector` should fully work. With previous versions some aspects were not fully working and this class was necessary.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector

`com.fasterxml.jackson.databind.AnnotationIntrospector.ReferenceProperty`

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.dataformat.xml.XmlAnnotationIntrospector

`XmlAnnotationIntrospector.JaxbWrapper, XmlAnnotationIntrospector.Pair`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.module.jaxb.JaxbAnnotationIntrospector

`_dataHandlerDeserializer, _dataHandlerSerializer, _ignoreXmlIDREF, _jaxbPackageName, _nonNillableInclusion, _typeFactory, _xmlValueName, DEFAULT_IGNORE_XMLIDREF, DEFAULT_NAME_FOR_XML_VALUE, FORMAT_INT, FORMAT_STRING, MARKER_FOR_DEFAULT`

### Constructor Summary

Constructors
`XmlJaxbAnnotationIntrospector()` Deprecated.
`XmlJaxbAnnotationIntrospector​(com.fasterxml.jackson.databind.type.TypeFactory typeFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `findNamespace​(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method that can be called to figure out generic namespace property for an annotated object.
`java.lang.Boolean` `isOutputAsAttribute​(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it be output as an XML attribute or not (as element)
`java.lang.Boolean` `isOutputAsCData​(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be wrapped in a CDATA tag.
`java.lang.Boolean` `isOutputAsText​(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be serialized as text, without element wrapper.
`void` `setDefaultUseWrapper​(boolean b)`

### Methods inherited from class com.fasterxml.jackson.module.jaxb.JaxbAnnotationIntrospector

`_converter, _doFindDeserializationType, _findContentAdapter, _fullDeserializationType, _fullSerializationType, _getTypeFromXmlElement, _propertyNameToString, _rawDeserializationType, _rawSerializationType, _typeResolverFromXmlElements, findAccessType, findAutoDetectVisibility, findContentDeserializer, findContentSerializer, findDeserializationContentConverter, findDeserializationContentType, findDeserializationConverter, findDeserializationType, findDeserializer, findEnumValue, findEnumValues, findFormat, findImplicitPropertyName, findKeyDeserializer, findNameForDeserialization, findNameForSerialization, findObjectIdInfo, findObjectReferenceInfo, findPropertyContentTypeResolver, findPropertyInclusion, findPropertyTypeResolver, findRootName, findSerializationContentConverter, findSerializationConverter, findSerializationInclusion, findSerializationPropertyOrder, findSerializationSortAlphabetically, findSerializationType, findSerializer, findSubtypes, findTypeName, findTypeResolver, findWrapperName, getNameUsedForXmlValue, getNonNillableInclusion, getTypeFactory, hasAsValueAnnotation, hasCreatorAnnotation, hasIgnoreMarker, hasRequiredMarker, isIgnorableType, isJAXBAnnotation, refineDeserializationType, refineSerializationType, setNameUsedForXmlValue, setNonNillableInclusion, version`

### Methods inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector

`_findAnnotation, _hasAnnotation, _hasOneOf, allIntrospectors, allIntrospectors, findAndAddVirtualProperties, findClassDescription, findCreatorAnnotation, findCreatorBinding, findDefaultEnumValue, findDeserializationKeyType, findFilterId, findIgnoreUnknownProperties, findInjectableValue, findInjectableValueId, findKeySerializer, findMergeInfo, findNamingStrategy, findNullSerializer, findPOJOBuilder, findPOJOBuilderConfig, findPropertiesToIgnore, findPropertiesToIgnore, findPropertyAccess, findPropertyAliases, findPropertyDefaultValue, findPropertyDescription, findPropertyIgnorals, findPropertyIndex, findReferenceType, findSerializationContentType, findSerializationInclusionForContent, findSerializationKeyType, findSerializationTyping, findSetterInfo, findUnwrappingNameTransformer, findValueInstantiator, findViews, hasAnyGetter, hasAnyGetterAnnotation, hasAnySetter, hasAnySetterAnnotation, hasAsValue, isAnnotationBundle, isTypeId, nopInstance, pair, resolveSetterConflict`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlJaxbAnnotationIntrospector

    @Deprecated
    public XmlJaxbAnnotationIntrospector()

Deprecated.

#### XmlJaxbAnnotationIntrospector

    public XmlJaxbAnnotationIntrospector​(com.fasterxml.jackson.databind.type.TypeFactory typeFactory)

### Method Detail

#### findNamespace

    public java.lang.String findNamespace​(com.fasterxml.jackson.databind.introspect.Annotated ann)

Description copied from interface: `XmlAnnotationIntrospector`
Method that can be called to figure out generic namespace property for an annotated object.

Specified by:
  `findNamespace` in interface `XmlAnnotationIntrospector`
Overrides:
  `findNamespace` in class `com.fasterxml.jackson.module.jaxb.JaxbAnnotationIntrospector`
Returns:
  Null if annotated thing does not define any namespace information; non-null namespace (which may be empty String) otherwise

#### isOutputAsAttribute

    public java.lang.Boolean isOutputAsAttribute​(com.fasterxml.jackson.databind.introspect.Annotated ann)

Description copied from interface: `XmlAnnotationIntrospector`
Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it be output as an XML attribute or not (as element)

Specified by:
  `isOutputAsAttribute` in interface `XmlAnnotationIntrospector`
Overrides:
  `isOutputAsAttribute` in class `com.fasterxml.jackson.module.jaxb.JaxbAnnotationIntrospector`

#### isOutputAsText

    public java.lang.Boolean isOutputAsText​(com.fasterxml.jackson.databind.introspect.Annotated ann)

Description copied from interface: `XmlAnnotationIntrospector`
Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be serialized as text, without element wrapper.

Specified by:
  `isOutputAsText` in interface `XmlAnnotationIntrospector`
Overrides:
  `isOutputAsText` in class `com.fasterxml.jackson.module.jaxb.JaxbAnnotationIntrospector`

#### isOutputAsCData

    public java.lang.Boolean isOutputAsCData​(com.fasterxml.jackson.databind.introspect.Annotated ann)

Description copied from interface: `XmlAnnotationIntrospector`
Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be wrapped in a CDATA tag.

Specified by:
  `isOutputAsCData` in interface `XmlAnnotationIntrospector`

#### setDefaultUseWrapper

    public void setDefaultUseWrapper​(boolean b)

Specified by:
  `setDefaultUseWrapper` in interface `XmlAnnotationIntrospector`